Sparklend Pools
Returns current market data for Sparklend lending pools, including supply and borrow volumes, utilization, interest rates (APY), caps, and liquidity metrics. Results can be filtered by pool or underlying token address and sorted across any supported column.
GET
https://api.cambrian.org/evm/lending/sparklend/pools
Parameters
pool_address (string)
Sparklend pool address
underlying_address (string)
Underlying token address. See tokens for valid addresses.
chain_id (integer)
EVM chain ID.
min_tvl_usd (integer)
Minimum TVL Usd of the lending pool/vault
borrowable (boolean)
If true, only lending pools/vaults with borrowing enabled will be returned
limit (integer)
Limit the number of results.
offset (integer)
Offset the results, allows you to skip a number of rows before starting to return rows.
order_asc (array)
List of column names to order by in ascending order divided by comma. Leave empty items to combine with descending order
order_desc (array)
List of column names to order by in descending order divided by comma. Leave empty items to combine with ascending order
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt8"
},
{
"name": "protocolId",
"type": "String"
},
{
"name": "poolAddress",
"type": "FixedString(42)"
},
{
"name": "symbol",
"type": "Nullable(String)"
},
{
"name": "vaultName",
"type": "Nullable(String)"
},
{
"name": "underlyingAddress",
"type": "FixedString(42)"
},
{
"name": "underlyingSymbol",
"type": "String"
},
{
"name": "supply",
"type": "Float64"
},
{
"name": "supplyUsd",
"type": "Float64"
},
{
"name": "borrow",
"type": "Float64"
},
{
"name": "borrowUsd",
"type": "Float64"
},
{
"name": "tvlUsd",
"type": "Float64"
},
{
"name": "availableLiquidityUsd",
"type": "Float64"
},
{
"name": "supplyCap",
"type": "Float64"
},
{
"name": "supplyCapUsd",
"type": "Float64"
},
{
"name": "borrowCap",
"type": "Float64"
},
{
"name": "borrowCapUsd",
"type": "Float64"
},
{
"name": "remainingCapacityUsd",
"type": "Float64"
},
{
"name": "supplyApy",
"type": "Float64"
},
{
"name": "borrowApy",
"type": "Nullable(Float64)"
},
{
"name": "netSupplyApy",
"type": "Float64"
},
{
"name": "performanceFee",
"type": "Nullable(Float64)"
},
{
"name": "managementFee",
"type": "Nullable(Float64)"
},
{
"name": "utilizationRate",
"type": "Float64"
},
{
"name": "ltv",
"type": "Float64"
},
{
"name": "borrowable",
"type": "Bool"
},
{
"name": "depositEnabled",
"type": "Bool"
},
{
"name": "updatedAt",
"type": "DateTime('UTC')"
}
],
"data": [
[
1,
"sparklend",
"0x12b54025c112aa61face2cdb7118740875a566e9",
"spwstETH",
"Spark wstETH",
"0x7f39c581f595b53c5cb19bd0b3f8da6c935e2ca0",
"wstETH",
1184188.1173423836,
2925656685.7805624,
3.2063116766349578,
7921.517752175815,
2925656685.7805624,
2925648764.26281,
1234188,
3049186460.1831245,
1,
2470.601286176113,
123529774.40256214,
1.46622314643262e-13,
7.736009482384015e-8,
1.46622314643262e-13,
null,
null,
0.000002707603318829722,
0.83,
true,
true,
"2026-10-31T16:29:35+00:00"
],
[
1,
"sparklend",
"0x59cd1c87501baa753d0b5b5ab5d8416a45cd71db",
"spWETH",
"Spark WETH",
"0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
"WETH",
626213.2369989351,
1409141032.2337635,
480077.8060579933,
1080298682.9584243,
1409141032.2337635,
328842349.2753391,
743941,
1674058813.7117276,
494225,
1112133512.2095416,
264917781.47796416,
0.019391394062957354,
0.026625594596088067,
0.019391394062957354,
null,
null,
0.7666363112327657,
0.85,
true,
true,
"2026-10-31T15:51:35+00:00"
],
[
1,
"sparklend",
"0xc02ab1a5eaa8d1b114ef786d9bde108cd4364359",
"spUSDS",
"Spark USDS",
"0xdc035d45d973e3ec169d2276ddab16f1e407384f",
"USDS",
1247365122.3626077,
1247365122.3626077,
903172165.8679197,
903172165.8679197,
1247365122.3626077,
344192956.49468803,
0,
0,
0,
0,
0,
0.029368533347102637,
0.04506829948715637,
0.029368533347102637,
null,
null,
0.7240639887038371,
0,
true,
true,
"2026-10-31T16:32:35+00:00"
],
[
1,
"sparklend",
"0xb3973d459df38ae57797811f2a1fd061da1bc123",
"spcbBTC",
"Spark cbBTC",
"0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
"cbBTC",
4941.932080877549,
383530836.41603,
135.14703195894393,
10488418.974214958,
383530836.41603,
373042417.441815,
5373,
416984926.20671636,
230,
17849717.667512517,
33454089.79068637,
0.000007478585626164995,
0.00034183753510816806,
0.000007478585626164995,
null,
null,
0.027347003104693738,
0.81,
true,
true,
"2026-10-31T16:27:35+00:00"
],
[
1,
"sparklend",
"0xe7df13b8e3d6740fe17cbe928c7334243d86c92f",
"spUSDT",
"Spark USDT",
"0xdac17f958d2ee523a2206206994597c13d831ec7",
"USDT",
309587260.9602795,
309587260.9602795,
294422140.0362019,
294422140.0362019,
309587260.9602795,
15165120.92407763,
68719476735,
68719476735,
68719476735,
68719476735,
68409889474.03972,
0.03530283850427976,
0.04124715533587355,
0.03530283850427976,
null,
null,
0.9510150357058026,
0,
true,
true,
"2026-10-31T16:18:23+00:00"
],
[
1,
"sparklend",
"0x4dedf26112b3ec8ec46e7e31ea5e123490b05b8b",
"spDAI",
"Spark DAI",
"0x6b175474e89094c44da98b954eedeac495271d0f",
"DAI",
281075666.92427313,
281075666.92427313,
209043039.01613232,
209043039.01613232,
281075666.92427313,
72032627.90814081,
0,
0,
0,
0,
0,
0.031016625668888288,
0.04631560236224425,
0.031016625668888288,
null,
null,
0.7437251374465379,
0,
true,
true,
"2026-10-30T14:19:35+00:00"
],
[
1,
"sparklend",
"0x4197ba364ae6698015ae5c1468f54087602715b2",
"spWBTC",
"Spark WBTC",
"0x2260fac5e5542a773aa44fbcfedf7c193bc2c599",
"WBTC",
2308.755080901387,
179059316.70176333,
4.174804563249784,
323783.8689095836,
179059316.70176333,
178735532.83285373,
3004,
232980185.65143415,
104,
8065891.91336523,
53920868.94967082,
8.719372920124067e-8,
0.00006027497034467684,
8.719372920124067e-8,
null,
null,
0.0018082492152523392,
0.77,
false,
true,
"2026-10-31T16:28:35+00:00"
],
[
1,
"sparklend",
"0x779224df1c756b4edd899854f32a53e8c2b2ce5d",
"spPYUSD",
"Spark PYUSD",
"0x6c3ea9036406852006290770bedfcaba0e23a0e8",
"PYUSD",
100002746.90350518,
100015166.69998704,
22167185.333195437,
22169938.376876123,
100015166.69998704,
77845228.32311091,
68719476735,
68728011319.71709,
68719476735,
68728011319.71709,
68627996153.0171,
0.0079499868357729,
0.03984994603727113,
0.0079499868357729,
null,
null,
0.22166576438730265,
0,
true,
true,
"2026-10-31T15:10:11+00:00"
],
[
1,
"sparklend",
"0xa9d4ecebd48c282a70cfd3c469d6c8f178a5738e",
"spLBTC",
"Spark LBTC",
"0x8236a87084f8b84306f72007f36f2618a5634494",
"LBTC",
1240.38667168,
96390564.28545392,
0,
0,
96390564.28545392,
96390564.28545392,
1459,
113379026.47889669,
0,
0,
16988462.193442777,
0,
0.05,
0,
null,
null,
0,
0,
false,
true,
"2026-10-29T21:54:47+00:00"
],
[
1,
"sparklend",
"0x377c3bd93f2a2984e1e7be6a5c22c525ed4a4815",
"spUSDC",
"Spark USDC",
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"USDC",
50863758.867088266,
50863758.867088266,
48004442.85479162,
48004442.85479162,
50863758.867088266,
2859316.012296647,
68719476735,
68719476735,
68719476735,
68719476735,
68668612976.13291,
0.03868685710598101,
0.04554688181699717,
0.03868685710598101,
null,
null,
0.9437848071793453,
0,
true,
true,
"2026-10-31T16:18:23+00:00"
]
],
"rows": 10
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. List Sparklend pools
Retrieve the current list of Sparklend lending pools with their supply, borrow, and rate metrics.
curl
curl -X GET "https://api.cambrian.org/evm/lending/sparklend/pools?limit=10" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt8"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "poolAddress",
14 "type": "FixedString(42)"
15 },
16 {
17 "name": "symbol",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "vaultName",
22 "type": "Nullable(String)"
23 },
24 {
25 "name": "underlyingAddress",
26 "type": "FixedString(42)"
27 },
28 {
29 "name": "underlyingSymbol",
30 "type": "String"
31 },
32 {
33 "name": "supply",
34 "type": "Float64"
35 },
36 {
37 "name": "supplyUsd",
38 "type": "Float64"
39 },
40 {
41 "name": "borrow",
42 "type": "Float64"
43 },
44 {
45 "name": "borrowUsd",
46 "type": "Float64"
47 },
48 {
49 "name": "tvlUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "availableLiquidityUsd",
54 "type": "Float64"
55 },
56 {
57 "name": "supplyCap",
58 "type": "Float64"
59 },
60 {
61 "name": "supplyCapUsd",
62 "type": "Float64"
63 },
64 {
65 "name": "borrowCap",
66 "type": "Float64"
67 },
68 {
69 "name": "borrowCapUsd",
70 "type": "Float64"
71 },
72 {
73 "name": "remainingCapacityUsd",
74 "type": "Float64"
75 },
76 {
77 "name": "supplyApy",
78 "type": "Float64"
79 },
80 {
81 "name": "borrowApy",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "netSupplyApy",
86 "type": "Float64"
87 },
88 {
89 "name": "performanceFee",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "managementFee",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "utilizationRate",
98 "type": "Float64"
99 },
100 {
101 "name": "ltv",
102 "type": "Float64"
103 },
104 {
105 "name": "borrowable",
106 "type": "Bool"
107 },
108 {
109 "name": "depositEnabled",
110 "type": "Bool"
111 },
112 {
113 "name": "updatedAt",
114 "type": "DateTime('UTC')"
115 }
116 ],
117 "data": [
118 [
119 1,
120 "sparklend",
121 "0x12b54025c112aa61face2cdb7118740875a566e9",
122 "spwstETH",
123 "Spark wstETH",
124 "0x7f39c581f595b53c5cb19bd0b3f8da6c935e2ca0",
125 "wstETH",
126 1184188.1173423836,
127 2925656685.7805624,
128 3.2063116766349578,
129 7921.517752175815,
130 2925656685.7805624,
131 2925648764.26281,
132 1234188,
133 3049186460.1831245,
134 1,
135 2470.601286176113,
136 123529774.40256214,
137 1.46622314643262e-13,
138 7.736009482384015e-8,
139 1.46622314643262e-13,
140 null,
141 null,
142 0.000002707603318829722,
143 0.83,
144 true,
145 true,
146 "2026-10-31T16:29:35+00:00"
147 ],
148 [
149 1,
150 "sparklend",
151 "0x59cd1c87501baa753d0b5b5ab5d8416a45cd71db",
152 "spWETH",
153 "Spark WETH",
154 "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
155 "WETH",
156 626213.2369989351,
157 1409141032.2337635,
158 480077.8060579933,
159 1080298682.9584243,
160 1409141032.2337635,
161 328842349.2753391,
162 743941,
163 1674058813.7117276,
164 494225,
165 1112133512.2095416,
166 264917781.47796416,
167 0.019391394062957354,
168 0.026625594596088067,
169 0.019391394062957354,
170 null,
171 null,
172 0.7666363112327657,
173 0.85,
174 true,
175 true,
176 "2026-10-31T15:51:35+00:00"
177 ],
178 [
179 1,
180 "sparklend",
181 "0xc02ab1a5eaa8d1b114ef786d9bde108cd4364359",
182 "spUSDS",
183 "Spark USDS",
184 "0xdc035d45d973e3ec169d2276ddab16f1e407384f",
185 "USDS",
186 1247365122.3626077,
187 1247365122.3626077,
188 903172165.8679197,
189 903172165.8679197,
190 1247365122.3626077,
191 344192956.49468803,
192 0,
193 0,
194 0,
195 0,
196 0,
197 0.029368533347102637,
198 0.04506829948715637,
199 0.029368533347102637,
200 null,
201 null,
202 0.7240639887038371,
203 0,
204 true,
205 true,
206 "2026-10-31T16:32:35+00:00"
207 ],
208 [
209 1,
210 "sparklend",
211 "0xb3973d459df38ae57797811f2a1fd061da1bc123",
212 "spcbBTC",
213 "Spark cbBTC",
214 "0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
215 "cbBTC",
216 4941.932080877549,
217 383530836.41603,
218 135.14703195894393,
219 10488418.974214958,
220 383530836.41603,
221 373042417.441815,
222 5373,
223 416984926.20671636,
224 230,
225 17849717.667512517,
226 33454089.79068637,
227 0.000007478585626164995,
228 0.00034183753510816806,
229 0.000007478585626164995,
230 null,
231 null,
232 0.027347003104693738,
233 0.81,
234 true,
235 true,
236 "2026-10-31T16:27:35+00:00"
237 ],
238 [
239 1,
240 "sparklend",
241 "0xe7df13b8e3d6740fe17cbe928c7334243d86c92f",
242 "spUSDT",
243 "Spark USDT",
244 "0xdac17f958d2ee523a2206206994597c13d831ec7",
245 "USDT",
246 309587260.9602795,
247 309587260.9602795,
248 294422140.0362019,
249 294422140.0362019,
250 309587260.9602795,
251 15165120.92407763,
252 68719476735,
253 68719476735,
254 68719476735,
255 68719476735,
256 68409889474.03972,
257 0.03530283850427976,
258 0.04124715533587355,
259 0.03530283850427976,
260 null,
261 null,
262 0.9510150357058026,
263 0,
264 true,
265 true,
266 "2026-10-31T16:18:23+00:00"
267 ],
268 [
269 1,
270 "sparklend",
271 "0x4dedf26112b3ec8ec46e7e31ea5e123490b05b8b",
272 "spDAI",
273 "Spark DAI",
274 "0x6b175474e89094c44da98b954eedeac495271d0f",
275 "DAI",
276 281075666.92427313,
277 281075666.92427313,
278 209043039.01613232,
279 209043039.01613232,
280 281075666.92427313,
281 72032627.90814081,
282 0,
283 0,
284 0,
285 0,
286 0,
287 0.031016625668888288,
288 0.04631560236224425,
289 0.031016625668888288,
290 null,
291 null,
292 0.7437251374465379,
293 0,
294 true,
295 true,
296 "2026-10-30T14:19:35+00:00"
297 ],
298 [
299 1,
300 "sparklend",
301 "0x4197ba364ae6698015ae5c1468f54087602715b2",
302 "spWBTC",
303 "Spark WBTC",
304 "0x2260fac5e5542a773aa44fbcfedf7c193bc2c599",
305 "WBTC",
306 2308.755080901387,
307 179059316.70176333,
308 4.174804563249784,
309 323783.8689095836,
310 179059316.70176333,
311 178735532.83285373,
312 3004,
313 232980185.65143415,
314 104,
315 8065891.91336523,
316 53920868.94967082,
317 8.719372920124067e-8,
318 0.00006027497034467684,
319 8.719372920124067e-8,
320 null,
321 null,
322 0.0018082492152523392,
323 0.77,
324 false,
325 true,
326 "2026-10-31T16:28:35+00:00"
327 ],
328 [
329 1,
330 "sparklend",
331 "0x779224df1c756b4edd899854f32a53e8c2b2ce5d",
332 "spPYUSD",
333 "Spark PYUSD",
334 "0x6c3ea9036406852006290770bedfcaba0e23a0e8",
335 "PYUSD",
336 100002746.90350518,
337 100015166.69998704,
338 22167185.333195437,
339 22169938.376876123,
340 100015166.69998704,
341 77845228.32311091,
342 68719476735,
343 68728011319.71709,
344 68719476735,
345 68728011319.71709,
346 68627996153.0171,
347 0.0079499868357729,
348 0.03984994603727113,
349 0.0079499868357729,
350 null,
351 null,
352 0.22166576438730265,
353 0,
354 true,
355 true,
356 "2026-10-31T15:10:11+00:00"
357 ],
358 [
359 1,
360 "sparklend",
361 "0xa9d4ecebd48c282a70cfd3c469d6c8f178a5738e",
362 "spLBTC",
363 "Spark LBTC",
364 "0x8236a87084f8b84306f72007f36f2618a5634494",
365 "LBTC",
366 1240.38667168,
367 96390564.28545392,
368 0,
369 0,
370 96390564.28545392,
371 96390564.28545392,
372 1459,
373 113379026.47889669,
374 0,
375 0,
376 16988462.193442777,
377 0,
378 0.05,
379 0,
380 null,
381 null,
382 0,
383 0,
384 false,
385 true,
386 "2026-10-29T21:54:47+00:00"
387 ],
388 [
389 1,
390 "sparklend",
391 "0x377c3bd93f2a2984e1e7be6a5c22c525ed4a4815",
392 "spUSDC",
393 "Spark USDC",
394 "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
395 "USDC",
396 50863758.867088266,
397 50863758.867088266,
398 48004442.85479162,
399 48004442.85479162,
400 50863758.867088266,
401 2859316.012296647,
402 68719476735,
403 68719476735,
404 68719476735,
405 68719476735,
406 68668612976.13291,
407 0.03868685710598101,
408 0.04554688181699717,
409 0.03868685710598101,
410 null,
411 null,
412 0.9437848071793453,
413 0,
414 true,
415 true,
416 "2026-10-31T16:18:23+00:00"
417 ]
418 ],
419 "rows": 10
420 }
421]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt8"
7 },
8 {
9 "name": "protocolId",
10 "type": "String"
11 },
12 {
13 "name": "poolAddress",
14 "type": "FixedString(42)"
15 },
16 {
17 "name": "symbol",
18 "type": "Nullable(String)"
19 },
20 {
21 "name": "vaultName",
22 "type": "Nullable(String)"
23 },
24 {
25 "name": "underlyingAddress",
26 "type": "FixedString(42)"
27 },
28 {
29 "name": "underlyingSymbol",
30 "type": "String"
31 },
32 {
33 "name": "supply",
34 "type": "Float64"
35 },
36 {
37 "name": "supplyUsd",
38 "type": "Float64"
39 },
40 {
41 "name": "borrow",
42 "type": "Float64"
43 },
44 {
45 "name": "borrowUsd",
46 "type": "Float64"
47 },
48 {
49 "name": "tvlUsd",
50 "type": "Float64"
51 },
52 {
53 "name": "availableLiquidityUsd",
54 "type": "Float64"
55 },
56 {
57 "name": "supplyCap",
58 "type": "Float64"
59 },
60 {
61 "name": "supplyCapUsd",
62 "type": "Float64"
63 },
64 {
65 "name": "borrowCap",
66 "type": "Float64"
67 },
68 {
69 "name": "borrowCapUsd",
70 "type": "Float64"
71 },
72 {
73 "name": "remainingCapacityUsd",
74 "type": "Float64"
75 },
76 {
77 "name": "supplyApy",
78 "type": "Float64"
79 },
80 {
81 "name": "borrowApy",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "netSupplyApy",
86 "type": "Float64"
87 },
88 {
89 "name": "performanceFee",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "managementFee",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "utilizationRate",
98 "type": "Float64"
99 },
100 {
101 "name": "ltv",
102 "type": "Float64"
103 },
104 {
105 "name": "borrowable",
106 "type": "Bool"
107 },
108 {
109 "name": "depositEnabled",
110 "type": "Bool"
111 },
112 {
113 "name": "updatedAt",
114 "type": "DateTime('UTC')"
115 }
116 ],
117 "data": [
118 [
119 1,
120 "sparklend",
121 "0x12b54025c112aa61face2cdb7118740875a566e9",
122 "spwstETH",
123 "Spark wstETH",
124 "0x7f39c581f595b53c5cb19bd0b3f8da6c935e2ca0",
125 "wstETH",
126 1184188.1173423836,
127 2925656685.7805624,
128 3.2063116766349578,
129 7921.517752175815,
130 2925656685.7805624,
131 2925648764.26281,
132 1234188,
133 3049186460.1831245,
134 1,
135 2470.601286176113,
136 123529774.40256214,
137 1.46622314643262e-13,
138 7.736009482384015e-8,
139 1.46622314643262e-13,
140 null,
141 null,
142 0.000002707603318829722,
143 0.83,
144 true,
145 true,
146 "2026-10-31T16:29:35+00:00"
147 ],
148 [
149 1,
150 "sparklend",
151 "0x59cd1c87501baa753d0b5b5ab5d8416a45cd71db",
152 "spWETH",
153 "Spark WETH",
154 "0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2",
155 "WETH",
156 626213.2369989351,
157 1409141032.2337635,
158 480077.8060579933,
159 1080298682.9584243,
160 1409141032.2337635,
161 328842349.2753391,
162 743941,
163 1674058813.7117276,
164 494225,
165 1112133512.2095416,
166 264917781.47796416,
167 0.019391394062957354,
168 0.026625594596088067,
169 0.019391394062957354,
170 null,
171 null,
172 0.7666363112327657,
173 0.85,
174 true,
175 true,
176 "2026-10-31T15:51:35+00:00"
177 ],
178 [
179 1,
180 "sparklend",
181 "0xc02ab1a5eaa8d1b114ef786d9bde108cd4364359",
182 "spUSDS",
183 "Spark USDS",
184 "0xdc035d45d973e3ec169d2276ddab16f1e407384f",
185 "USDS",
186 1247365122.3626077,
187 1247365122.3626077,
188 903172165.8679197,
189 903172165.8679197,
190 1247365122.3626077,
191 344192956.49468803,
192 0,
193 0,
194 0,
195 0,
196 0,
197 0.029368533347102637,
198 0.04506829948715637,
199 0.029368533347102637,
200 null,
201 null,
202 0.7240639887038371,
203 0,
204 true,
205 true,
206 "2026-10-31T16:32:35+00:00"
207 ],
208 [
209 1,
210 "sparklend",
211 "0xb3973d459df38ae57797811f2a1fd061da1bc123",
212 "spcbBTC",
213 "Spark cbBTC",
214 "0xcbb7c0000ab88b473b1f5afd9ef808440eed33bf",
215 "cbBTC",
216 4941.932080877549,
217 383530836.41603,
218 135.14703195894393,
219 10488418.974214958,
220 383530836.41603,
221 373042417.441815,
222 5373,
223 416984926.20671636,
224 230,
225 17849717.667512517,
226 33454089.79068637,
227 0.000007478585626164995,
228 0.00034183753510816806,
229 0.000007478585626164995,
230 null,
231 null,
232 0.027347003104693738,
233 0.81,
234 true,
235 true,
236 "2026-10-31T16:27:35+00:00"
237 ],
238 [
239 1,
240 "sparklend",
241 "0xe7df13b8e3d6740fe17cbe928c7334243d86c92f",
242 "spUSDT",
243 "Spark USDT",
244 "0xdac17f958d2ee523a2206206994597c13d831ec7",
245 "USDT",
246 309587260.9602795,
247 309587260.9602795,
248 294422140.0362019,
249 294422140.0362019,
250 309587260.9602795,
251 15165120.92407763,
252 68719476735,
253 68719476735,
254 68719476735,
255 68719476735,
256 68409889474.03972,
257 0.03530283850427976,
258 0.04124715533587355,
259 0.03530283850427976,
260 null,
261 null,
262 0.9510150357058026,
263 0,
264 true,
265 true,
266 "2026-10-31T16:18:23+00:00"
267 ],
268 [
269 1,
270 "sparklend",
271 "0x4dedf26112b3ec8ec46e7e31ea5e123490b05b8b",
272 "spDAI",
273 "Spark DAI",
274 "0x6b175474e89094c44da98b954eedeac495271d0f",
275 "DAI",
276 281075666.92427313,
277 281075666.92427313,
278 209043039.01613232,
279 209043039.01613232,
280 281075666.92427313,
281 72032627.90814081,
282 0,
283 0,
284 0,
285 0,
286 0,
287 0.031016625668888288,
288 0.04631560236224425,
289 0.031016625668888288,
290 null,
291 null,
292 0.7437251374465379,
293 0,
294 true,
295 true,
296 "2026-10-30T14:19:35+00:00"
297 ],
298 [
299 1,
300 "sparklend",
301 "0x4197ba364ae6698015ae5c1468f54087602715b2",
302 "spWBTC",
303 "Spark WBTC",
304 "0x2260fac5e5542a773aa44fbcfedf7c193bc2c599",
305 "WBTC",
306 2308.755080901387,
307 179059316.70176333,
308 4.174804563249784,
309 323783.8689095836,
310 179059316.70176333,
311 178735532.83285373,
312 3004,
313 232980185.65143415,
314 104,
315 8065891.91336523,
316 53920868.94967082,
317 8.719372920124067e-8,
318 0.00006027497034467684,
319 8.719372920124067e-8,
320 null,
321 null,
322 0.0018082492152523392,
323 0.77,
324 false,
325 true,
326 "2026-10-31T16:28:35+00:00"
327 ],
328 [
329 1,
330 "sparklend",
331 "0x779224df1c756b4edd899854f32a53e8c2b2ce5d",
332 "spPYUSD",
333 "Spark PYUSD",
334 "0x6c3ea9036406852006290770bedfcaba0e23a0e8",
335 "PYUSD",
336 100002746.90350518,
337 100015166.69998704,
338 22167185.333195437,
339 22169938.376876123,
340 100015166.69998704,
341 77845228.32311091,
342 68719476735,
343 68728011319.71709,
344 68719476735,
345 68728011319.71709,
346 68627996153.0171,
347 0.0079499868357729,
348 0.03984994603727113,
349 0.0079499868357729,
350 null,
351 null,
352 0.22166576438730265,
353 0,
354 true,
355 true,
356 "2026-10-31T15:10:11+00:00"
357 ],
358 [
359 1,
360 "sparklend",
361 "0xa9d4ecebd48c282a70cfd3c469d6c8f178a5738e",
362 "spLBTC",
363 "Spark LBTC",
364 "0x8236a87084f8b84306f72007f36f2618a5634494",
365 "LBTC",
366 1240.38667168,
367 96390564.28545392,
368 0,
369 0,
370 96390564.28545392,
371 96390564.28545392,
372 1459,
373 113379026.47889669,
374 0,
375 0,
376 16988462.193442777,
377 0,
378 0.05,
379 0,
380 null,
381 null,
382 0,
383 0,
384 false,
385 true,
386 "2026-10-29T21:54:47+00:00"
387 ],
388 [
389 1,
390 "sparklend",
391 "0x377c3bd93f2a2984e1e7be6a5c22c525ed4a4815",
392 "spUSDC",
393 "Spark USDC",
394 "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
395 "USDC",
396 50863758.867088266,
397 50863758.867088266,
398 48004442.85479162,
399 48004442.85479162,
400 50863758.867088266,
401 2859316.012296647,
402 68719476735,
403 68719476735,
404 68719476735,
405 68719476735,
406 68668612976.13291,
407 0.03868685710598101,
408 0.04554688181699717,
409 0.03868685710598101,
410 null,
411 null,
412 0.9437848071793453,
413 0,
414 true,
415 true,
416 "2026-10-31T16:18:23+00:00"
417 ]
418 ],
419 "rows": 10
420 }
421]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/sparklend/pools"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/evm/lending/sparklend/pools"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/sparklend/pools")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/evm/lending/sparklend/pools")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request